Results 1 to 5 of 5
  1. #1
    Join Date
    Jan 2004
    Posts
    11

    Unanswered: Compatability of Forms 6i with Oracle 9i

    Hi Friends,

    I downloaded and installed Forms 6i and Reports 6i on Windows 2000 Server. Along with it, SQL Plus 8 is also installed even though I did not specify it. If I install Oracle 9i Enterprise Edition in my system, will it work. Can anyone tell me the reason for this and also whether Forms 6i and Reports 6i are compatible with Oracle 9i.

    Thank you

    Dhanvanthri

  2. #2
    Join Date
    Jan 2004
    Posts
    492
    Yes it should be compatible.

    You have to have the Oracle "framework" (i.e. necessary files) on your system for Reports or Forms to work properly.

    The reason 8i installs by default is that 6i is not the latest version of Oracle Developer. I think maybe the 9i Forms and Reports will install 9i SQL*PLUS.

    Although we're still on Oracle 8i db, they are usually backwards- compatible. I would think 9i will work with Forms / Reports 6i.

    Hope that helps. Maybe someone has tried it and can verify.
    Last edited by ss659; 02-05-04 at 19:59.

  3. #3
    Join Date
    Oct 2003
    Posts
    37

    Re: Compatability of Forms 6i with Oracle 9i

    Hi

    We're running forms and reports 6i along with our 9i db so yes are compatible.

    As to the sqlplus 8, I think it depends on what you selected to install - I usually only install the runtime components and that doesn't usually result in sql being installed.

    One other thing to mention - if your forms application uses boilerplates (which ours does) you may need to appply a patch (depending on which version of forms you have downloaded and installed) - i think its called 6a (if you think you may need it, let me know and I will check it).

    Kind regards

    Keith

  4. #4
    Join Date
    Jan 2004
    Posts
    11
    Originally posted by ss659
    Yes it should be compatible.

    You have to have the Oracle "framework" (i.e. necessary files) on your system for Reports or Forms to work properly.

    The reason 8i installs by default is that 6i is not the latest version of Oracle Developer. I think maybe the 9i Forms and Reports will install 9i SQL*PLUS.

    Although we're still on Oracle 8i db, they are usually backwards- compatible. I would think 9i will work with Forms / Reports 6i.

    Hope that helps. Maybe someone has tried it and can verify.

    Thankyou ss659. I will try to install oracle 9i and check that

  5. #5
    Join Date
    Jan 2004
    Posts
    11

    Re: Compatability of Forms 6i with Oracle 9i

    Thank you Keith for your reply. But can you please tell me do have boiler plates in Forms. I have used it only in Reports.

    Can you also please help me regarding the object library. I have created an object library. But I am not able to drag the object(example a push button) from the object navigator to the object library. How to do that. When I click an object, say push button and right click the mouse for viewing the pop up menu, the smart class menu and smart trigger menu are disabled. How to use that.


    Regards

    Dhanvanthri

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •